## org.gjt.sp.jedit.gui.statusbar
Class BufferSetWidgetFactory

    java.lang.Object
      org.gjt.sp.jedit.gui.statusbar.BufferSetWidgetFactory

All Implemented Interfaces:
  StatusWidgetFactory

    public class BufferSetWidgetFactory

extends java.lang.Object
implements StatusWidgetFactory

A Statusbar widget that show the bufferSet's scope of the current edit pane.

Since:
  jEdit 4.3pre15

Constructor Summary
`BufferSetWidgetFactory()`

Method Summary
`Widget` `getWidget(View view)` returns an instance of Widget for the given view

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferSetWidgetFactory

    public BufferSetWidgetFactory()

Method Detail

### getWidget

    public Widget getWidget(View view)

  Description copied from interface: `StatusWidgetFactory`
  returns an instance of Widget for the given view

  Specified by:
    `getWidget` in interface `StatusWidgetFactory`
  Parameters:
    `view` - the view to which the created widget will belong
  Returns:
    a widget instance